Subject: HTTP/proxy calls

From: "nate" <[email-masked]>
Date: Wed, 12 Jan 2000 10:19:44 -0600

Hello, I just subscribed to this list.  It didn't look that
active(archives), I hope I am wrong.

Of course I have a question.  GET http://www.webpage.com/download.zip
HTTP/1.0 is a valid get request for file download.zip.  Now, how does the
SERVER have to handle this?  Assuming the file exists.  What I mean is, when
i click on the link in a browser(IE 5.01), I am prompted for the SaveAs/Run
from current.  Well I wrote the web server, so I know that I simply send the
file back to the requestor.  If the file is small(2000 bytes) then it is
completely downloaded before the user is able to click anything. I know my
question is vague, but 1. I am wondering if there are other ways that a
server can distribute the file?  Also, 2. what are my security concerns when
making a request like this on the BROWSER end, if any?

Finally, 3.  How do I keep a Proxy from caching a file like this?  what if
it is a 400 meg file?

Thanks much for any help at all.  Am I in the correct list?